### Class

# GtkConstantExpression

#### Description [src]

    final class Gtk.ConstantExpression : GObject.TypeInstance
    {
      /* No available fields */
    }

A constant value in a `GtkExpression`.

#### Hierarchy

#### Ancestors

- GtkExpression

#### Constructors

###### gtk_constant_expression_new

Creates a `GtkExpression` that evaluates to the object given by the arguments.

###### gtk_constant_expression_new_for_value

Creates an expression that always evaluates to the given `value`.

#### Instance methods

###### gtk_constant_expression_get_value

Gets the value that a constant expression evaluates to.

##### Methods inherited from GtkExpression (7)

###### gtk_expression_bind

Bind `target`‘s property named `property` to `self`.

###### gtk_expression_evaluate

Evaluates the given expression and on success stores the result in `value`.

###### gtk_expression_get_value_type

Gets the `GType` that this expression evaluates to.

###### gtk_expression_is_static

Checks if the expression is static.

###### gtk_expression_ref

Acquires a reference on the given `GtkExpression`.

###### gtk_expression_unref

Releases a reference on the given `GtkExpression`.

###### gtk_expression_watch

Watch the given `expression` for changes.